Bug 85197 - Inconsistency between advertised and accepted cli-options
Summary: Inconsistency between advertised and accepted cli-options
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: apmd (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 16:27 UTC by Panu Matilainen
Modified: 2015-01-08 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 22:51:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panu Matilainen 2003-02-26 16:27:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
"apm" utility talks both in manual page and in its usage message about -i
(ignore) option but it doesn't accept it anyway. Whether -i actually works seems
to be a compile time option.. perhaps it could be enabled (it might be useful
sometimes) or at least it shouldn't say it supports an option which it doesn't.

Version-Release number of selected component (if applicable): all versions since
at least RH7.1 up to apmd-3.0.2-17 from rawhide.


How reproducible:
Always

Steps to Reproduce:
1. apm -h
2. apm -i

    

Actual Results:  [pmatilai@es-adsl-soho-30-186 pmatilai]$ apm -i
usage: apm [-vmMsSin] [--verbose] [--minutes] [--monitor] [--suspend] [--standby]


Expected Results:  Either the system should start ignoring APM events (if the
feature were turned on) or it shouldn't say -i is an accepted option.

Additional info:

Comment 1 Bill Nottingham 2005-02-02 22:51:00 UTC
Closing out bugs on older unsupported releases. Apologies for any lack
of response. Please reopen if it persists on current releases such as
Fedora Core 3.

This is probably not something we'll fix downstream.


Note You need to log in before you can comment on or make changes to this bug.